<html>
<head>
<title>OgreShaderFFPRenderState.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_f1fa7196649e3987904dbdb4948bc856.html">Components</a>      </li>
      <li class="navelem"><a class="el" href="dir_1ff0a99c786b1c34b8d04ba7e7285590.html">RTShaderSystem</a>      </li>
      <li class="navelem"><a class="el" href="dir_167378df2bdccc9b313fc91c17987f1d.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Defines</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">OgreShaderFFPRenderState.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgreShaderPrerequisites_8h_source.html">OgreShaderPrerequisites.h</a>&quot;</code><br/>
</div>
<p><a href="OgreShaderFFPRenderState_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre_1_1RTShader.html">Ogre::RTShader</a></td></tr>
<tr><td colspan="2"><h2><a name="define-members"></a>
Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#gaf315dcdcd0eeb960135ab30110ae77ba">FFP_LIB_COMMON</a>&#160;&#160;&#160;&quot;FFPLib_Common&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#gacb01fe0fa9bc596f9ccd37f6a54a3bd5">FFP_FUNC_ASSIGN</a>&#160;&#160;&#160;&quot;FFP_Assign&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#gad106132588bc369abf446339c0aaa031">FFP_FUNC_CONSTRUCT</a>&#160;&#160;&#160;&quot;FFP_Construct&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga4e6385fde20363caa43796a8ed01057b">FFP_FUNC_MODULATE</a>&#160;&#160;&#160;&quot;FFP_Modulate&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#gaaf4d9386b193f17896ac4ea5efb13d8a">FFP_FUNC_ADD</a>&#160;&#160;&#160;&quot;FFP_Add&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#gaa3c089b316d6228e7f12efd7aa221410">FFP_FUNC_SUBTRACT</a>&#160;&#160;&#160;&quot;FFP_Subtract&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#gaf714443c4e6881fc31add54f71441752">FFP_FUNC_LERP</a>&#160;&#160;&#160;&quot;FFP_Lerp&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#gaf356c664f6a9ace926247c9d5bce5f6f">FFP_FUNC_DOTPRODUCT</a>&#160;&#160;&#160;&quot;FFP_DotProduct&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga50515d815bdab27ac1fa1dc41c0977b9">FFP_FUNC_NORMALIZE</a>&#160;&#160;&#160;&quot;FFP_Normalize&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga6455ab92d5367767064f20e26ea23757">FFP_LIB_TRANSFORM</a>&#160;&#160;&#160;&quot;FFPLib_Transform&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#gaacaa49841a295828270684b278808830">FFP_FUNC_TRANSFORM</a>&#160;&#160;&#160;&quot;FFP_Transform&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#gab08f6b64db9da54e17c29994d9e7f853">FFP_LIB_LIGHTING</a>&#160;&#160;&#160;&quot;FFPLib_Lighting&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga64839e79eb9f1102d5ba2f9a8de44529">FFP_FUNC_LIGHT_DIRECTIONAL_DIFFUSE</a>&#160;&#160;&#160;&quot;FFP_Light_Directional_Diffuse&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#gaecd7ddd3154960f67bd09322ca5c934c">FFP_FUNC_LIGHT_DIRECTIONAL_DIFFUSESPECULAR</a>&#160;&#160;&#160;&quot;FFP_Light_Directional_DiffuseSpecular&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#gae018fb3c504d2c78a7ae5df29613b369">FFP_FUNC_LIGHT_POINT_DIFFUSE</a>&#160;&#160;&#160;&quot;FFP_Light_Point_Diffuse&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga25c577ad6daab17ab8032b690572d7f9">FFP_FUNC_LIGHT_POINT_DIFFUSESPECULAR</a>&#160;&#160;&#160;&quot;FFP_Light_Point_DiffuseSpecular&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#gaad7ab378661b2c7a96e05b61cac834b6">FFP_FUNC_LIGHT_SPOT_DIFFUSE</a>&#160;&#160;&#160;&quot;FFP_Light_Spot_Diffuse&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#gabe7ed7fea0d4d87f978441b8502f8f4a">FFP_FUNC_LIGHT_SPOT_DIFFUSESPECULAR</a>&#160;&#160;&#160;&quot;FFP_Light_Spot_DiffuseSpecular&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#gab7d72f56d81dc214ac28a7e40bfa56c3">FFP_LIB_TEXTURING</a>&#160;&#160;&#160;&quot;FFPLib_Texturing&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#gaa9b0f586bcddcb368af37697cf4da0f8">FFP_FUNC_TRANSFORM_TEXCOORD</a>&#160;&#160;&#160;&quot;FFP_TransformTexCoord&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#gaf471414666a27608d02c078db102fe13">FFP_FUNC_GENERATE_TEXCOORD_ENV_NORMAL</a>&#160;&#160;&#160;&quot;FFP_GenerateTexCoord_EnvMap_Normal&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga1c7676773d46d7e9d7bd09e4aa7cb9ee">FFP_FUNC_GENERATE_TEXCOORD_ENV_SPHERE</a>&#160;&#160;&#160;&quot;FFP_GenerateTexCoord_EnvMap_Sphere&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga4ddaa01f48cca042142f7d07eb79a531">FFP_FUNC_GENERATE_TEXCOORD_ENV_REFLECT</a>&#160;&#160;&#160;&quot;FFP_GenerateTexCoord_EnvMap_Reflect&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga936b90baf3004063efe99d836147b802">FFP_FUNC_GENERATE_TEXCOORD_PROJECTION</a>&#160;&#160;&#160;&quot;FFP_GenerateTexCoord_Projection&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga3be26dc22119cbfc60f0c6aac5d3b7af">FFP_FUNC_SAMPLE_TEXTURE</a>&#160;&#160;&#160;&quot;FFP_SampleTexture&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga80c3b1ec48d5484537cc0dfbc2ff8000">FFP_FUNC_SAMPLE_TEXTURE_PROJ</a>&#160;&#160;&#160;&quot;FFP_SampleTextureProj&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga863f328a2f0427933e925978cbccbcd1">FFP_FUNC_MODULATEX2</a>&#160;&#160;&#160;&quot;FFP_ModulateX2&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga862e650d597fdeab5bdce48ab8218ebd">FFP_FUNC_MODULATEX4</a>&#160;&#160;&#160;&quot;FFP_ModulateX4&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga3f5296e2c5846bfd3854fa79e3f04d3f">FFP_FUNC_ADDSIGNED</a>&#160;&#160;&#160;&quot;FFP_AddSigned&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga61922bfa8246b31d92c97e2f9d1275d8">FFP_FUNC_ADDSMOOTH</a>&#160;&#160;&#160;&quot;FFP_AddSmooth&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga490ee091e89c283b72eed0dd867736d8">FFP_LIB_FOG</a>&#160;&#160;&#160;&quot;FFPLib_Fog&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga8152aa5d7bfdd6b3f343c7775a6acb32">FFP_FUNC_VERTEXFOG_LINEAR</a>&#160;&#160;&#160;&quot;FFP_VertexFog_Linear&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#gaa7070959492b977db61224af4c3e8a21">FFP_FUNC_VERTEXFOG_EXP</a>&#160;&#160;&#160;&quot;FFP_VertexFog_Exp&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga345b9a8ecba8a9c1207c8625085c4754">FFP_FUNC_VERTEXFOG_EXP2</a>&#160;&#160;&#160;&quot;FFP_VertexFog_Exp2&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#gabaab1e89270cd7f763f2f8e0258c400e">FFP_FUNC_PIXELFOG_DEPTH</a>&#160;&#160;&#160;&quot;FFP_PixelFog_Depth&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga3ff5cdc27b838b8dc976502e84e996d3">FFP_FUNC_PIXELFOG_LINEAR</a>&#160;&#160;&#160;&quot;FFP_PixelFog_Linear&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#gac55655d0c3af8860b21fa0c31e47dc91">FFP_FUNC_PIXELFOG_EXP</a>&#160;&#160;&#160;&quot;FFP_PixelFog_Exp&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga5884a9b1976be44596eec20f0e005b95">FFP_FUNC_PIXELFOG_EXP2</a>&#160;&#160;&#160;&quot;FFP_PixelFog_Exp2&quot;</td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga7d20b2397c3eab2b52ec405863c6f274">Ogre::RTShader::FFPVertexShaderStage</a> { <br/>
&#160;&#160;<a class="el" href="group__RTShader.html#gga7d20b2397c3eab2b52ec405863c6f274ad955465ff061413a966f568fc187599e">Ogre::RTShader::FFP_VS_PRE_PROCESS</a> =  0, 
<a class="el" href="group__RTShader.html#gga7d20b2397c3eab2b52ec405863c6f274a04f47ef20926c0a10951eb3d6fa9af91">Ogre::RTShader::FFP_VS_TRANSFORM</a> =  100, 
<a class="el" href="group__RTShader.html#gga7d20b2397c3eab2b52ec405863c6f274a5f213e0b61cc3a0bae05704eac26fa35">Ogre::RTShader::FFP_VS_COLOUR</a> =  200, 
<a class="el" href="group__RTShader.html#gga7d20b2397c3eab2b52ec405863c6f274afdb7e1c00705255e5a10459e723e9acd">Ogre::RTShader::FFP_VS_LIGHTING</a> =  300, 
<br/>
&#160;&#160;<a class="el" href="group__RTShader.html#gga7d20b2397c3eab2b52ec405863c6f274a498dcf4231b63a549b001420ea5692ff">Ogre::RTShader::FFP_VS_TEXTURING</a> =  400, 
<a class="el" href="group__RTShader.html#gga7d20b2397c3eab2b52ec405863c6f274a8b4930a3fd90d5b7222960fc5727b8cf">Ogre::RTShader::FFP_VS_FOG</a> =  500, 
<a class="el" href="group__RTShader.html#gga7d20b2397c3eab2b52ec405863c6f274acc37fcb1e383c065bd730c7ac13fde90">Ogre::RTShader::FFP_VS_POST_PROCESS</a> =  2000
<br/>
 }</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga06b7172046e21956b5eb485dbd7fc29a">Ogre::RTShader::FFPFragmentShaderStage</a> { <br/>
&#160;&#160;<a class="el" href="group__RTShader.html#gga06b7172046e21956b5eb485dbd7fc29aa326b1eb04022c84f9151bac6663dc40d">Ogre::RTShader::FFP_PS_PRE_PROCESS</a> =  0, 
<a class="el" href="group__RTShader.html#gga06b7172046e21956b5eb485dbd7fc29aa776dac89aa5e4d06186a5dcb20a3fa9b">Ogre::RTShader::FFP_PS_COLOUR_BEGIN</a> =  100, 
<a class="el" href="group__RTShader.html#gga06b7172046e21956b5eb485dbd7fc29aa8cdc0e4095b09efda2fa34e203cb8b61">Ogre::RTShader::FFP_PS_SAMPLING</a> =  150, 
<a class="el" href="group__RTShader.html#gga06b7172046e21956b5eb485dbd7fc29aab325d310fd56d8564be69550b319ecc5">Ogre::RTShader::FFP_PS_TEXTURING</a> =  200, 
<br/>
&#160;&#160;<a class="el" href="group__RTShader.html#gga06b7172046e21956b5eb485dbd7fc29aadff5a4ef68640ae288c15265b3f8fc3b">Ogre::RTShader::FFP_PS_COLOUR_END</a> =  300, 
<a class="el" href="group__RTShader.html#gga06b7172046e21956b5eb485dbd7fc29aad8d2dd505e7f3d5c87c738e6afa0d4fc">Ogre::RTShader::FFP_PS_FOG</a> =  400, 
<a class="el" href="group__RTShader.html#gga06b7172046e21956b5eb485dbd7fc29aa0514e394e633d17623c38771d7e5d917">Ogre::RTShader::FFP_PS_POST_PROCESS</a> =  500
<br/>
 }</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga4c92eba13eb8038d35530610c58ceff4">Ogre::RTShader::FFPShaderStage</a> { <br/>
&#160;&#160;<a class="el" href="group__RTShader.html#gga4c92eba13eb8038d35530610c58ceff4a3c4091f2a0e44643b34801419c0ea987">Ogre::RTShader::FFP_PRE_PROCESS</a> =  0, 
<a class="el" href="group__RTShader.html#gga4c92eba13eb8038d35530610c58ceff4a89872e19110c14f19fa11bd6c04755c4">Ogre::RTShader::FFP_TRANSFORM</a> =  100, 
<a class="el" href="group__RTShader.html#gga4c92eba13eb8038d35530610c58ceff4ad2c91bf8902fec593abd2d6471d7d05c">Ogre::RTShader::FFP_COLOUR</a> =  200, 
<a class="el" href="group__RTShader.html#gga4c92eba13eb8038d35530610c58ceff4a4981bd811954d8abdb7623226e81d9ab">Ogre::RTShader::FFP_LIGHTING</a> =  300, 
<br/>
&#160;&#160;<a class="el" href="group__RTShader.html#gga4c92eba13eb8038d35530610c58ceff4a4633e1da9bc8ecbdecf34cd5cc4918d0">Ogre::RTShader::FFP_TEXTURING</a> =  400, 
<a class="el" href="group__RTShader.html#gga4c92eba13eb8038d35530610c58ceff4affe0e1ca62c12578c98893daced6125e">Ogre::RTShader::FFP_FOG</a> =  500, 
<a class="el" href="group__RTShader.html#gga4c92eba13eb8038d35530610c58ceff4a11352bb182b27667fa58e81cd75a5b21">Ogre::RTShader::FFP_POST_PROCESS</a> =  600
<br/>
 }</td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
